* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}



/* 用户信息区样式 */
.user-info {
    display: flex;
    justify-content: space-between; /* 左右对齐 */
    align-items: center;
    margin-bottom: 20px;
    padding: 10px 20px;
    background-color: #333; /* 渐变背景 */
    width: 100%;
    margin: 0 auto;
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.1); /* 阴影 */
}

.user-info2 {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    padding: 10px 20px;
    background-color: #333; /* 渐变背景 */
    width: 90%;
    margin: 0 auto;
    margin-top: 5px;
}


.username {
    margin-right: 15px;
    font-weight: bold;
    font-size: 18px;
    color: #fff; /* 白色文字 */
    display: flex;
    align-items: center;
}

.username2 {
    font-weight: bold;
    font-size: 18px;
    color: #fff; /* 白色文字 */
    display: flex;
    align-items: center;
    margin: 0 auto;
}

/* 登出按钮样式 */
.logout-btn2 {
    display: flex;
    align-items: center;
    padding: 8px 12px;
    background-color: #333;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    font-size: 18px;
    transition: background-color 0.3s ease;
	width: fit-content;
}

.logout-btn2:hover {
    background-color: #121212; /* 悬停时的背景色 */
}

.logout-btn2 i {
    margin-right: 5px;
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;  /* 确保 wrapper 至少占满视口高度 */
}

.content {
    flex: 1; /* 使 content 区域占据剩余空间 */
    overflow-y: auto; /* 使 content 区域可滚动 */
    background: rgb(244, 244, 244);
}


.swal2-progress-bar {
    width: 100%;
    height: 25px;
    background-color: #e0e0e0;
    border-radius: 12.5px;
    overflow: hidden;
    margin-top: 10px;
    box-shadow: inset 0 0 5px #00000040;
    position: relative;
}

.swal2-progress-bar-inner {
    height: 100%;
    width: 0;
    background: linear-gradient(90deg, #663300, #cc6600);
    border-radius: 12.5px 0 0 12.5px;
    box-shadow: 0 3px 3px -5px #00000040, 0 2px 5px #00000030;
    transition: width 0.4s ease;
}

swal2-progress-bar-text {
    position: absolute;
    width: 100%;
    text-align: center;
    line-height: 25px;
    color: #fff;
    font-weight: bold;
    text-shadow: 1px 1px 2px #00000080;
}

html, body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
    height: 100%;
}

bookingFooter {
    background-color: #333; /* 设置背景颜色为深灰色 */
    color: #ffffff; /* 文字颜色设置为白色 */
    text-align: center; /* 文本居中显示 */
    padding: 20px 10px; /* 内边距 */
    font-size: 0.9em; /* 字体大小 */
}

footer {
    background-color: #333; /* 设置背景颜色为深灰色 */
    color: #ffffff; /* 文字颜色设置为白色 */
    text-align: center; /* 文本居中显示 */
    padding: 20px 10px; /* 内边距 */
    font-size: 0.9em; /* 字体大小 */
    margin-top: auto; /* 确保 footer 在内容不足时固定在底部 */
    flex-shrink: 0; /* 防止 header 和 footer 缩小 */
}


.timerAlert {
    margin-top: 20px;
    color: black; /* Black text */
    padding: 10px;
    font-weight: bold;
    width: 100%;
    margin: 0 auto; /* 水平居中 */
    display: flex;
    margin-top: -40px;
    justify-content: center;
}

.responsive-image2 {
    width: 90%; /* 或设置为固定像素 */
    height: auto;
    aspect-ratio: auto 1 / 1; /* 保持原始比例 */
    border: 4px solid #663300; /* 绿色边框 */
    border-radius: 15px; /* 圆角边框 */
    margin-bottom: 0;
}

.responsive-image {
    width: 90%; /* 或设置为固定像素 */
    height: auto;
    aspect-ratio: auto 1 / 1; /* 保持原始比例 */
    border: 4px solid #663300; /* 绿色边框 */
    border-radius: 15px; /* 圆角边框 */
    margin-bottom: 20px;
}

#bookingConfirmation {
    font-family: Arial, sans-serif;
    font-weight: bold;
    margin: 0 auto;
}

#bookTimer {
    width: 75%;
    border-top: 4px solid #663300;
    border-left: 4px solid #663300;
    border-right: 4px solid #663300;
    border-bottom: 4px solid #663300;
    border-radius: 15px; /* 圆角边框 */
    background-color: #ad8b68;
    padding: 10px 35px;
    margin: 0 auto;
    font-size: 20px;
    font-weight: bold;
    margin-top: 20px;
    margin-bottom: 20px;
}

#timer {
    width: 75%;
    border-top: 4px solid #663300;
    border-left: 4px solid #663300;
    border-right: 4px solid #663300;
    border-radius: 15px 15px 0px 0px; /* 圆角边框 */
    background-color: #ad8b68;
    padding: 10px 35px;
    margin: 0 auto;
    font-size: 20px;
    font-weight: bold;
}

#fare {
    width: 65%;
    border-top: 4px solid #663300;
    border-bottom: 4px solid #663300;
    border-radius: 15px; /* 圆角边框 */
    background-color: #ad8b68;
    padding: 10px 35px;
    margin: 0 auto;
    font-size: 35px
    font-weight: bold;
}


.grayed-input {
    background-color: #e0e0e0;
    pointer-events: none;
}

.loading-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    z-index: 1000;
    text-align: center;
    padding-top: 20%;
}
.loading-overlay img {
    width: 50px;
    height: 50px;
}

ul {
   list-style-type: none;
   padding: 0;
}

.table-container {
    width: 80%;  /* 根据需要调整宽度 */
    margin: 0 auto;  /* 水平居中 */
    text-align: center;
    overflow-x: auto; /* 当表格宽度超出视口宽度时，允许水平滚动 */
}

table {
    margin: 0 auto;
    border-radius: 10px;  /* 圆角边框 */
    width: 100%;  /* 表格宽度为容器的100% */
    border-collapse: collapse;  /* 边框合并为单一线条 */
}

th, td {
    border: 1px solid #ddd;  /* 灰色边框 */
    padding: 8px;  /* 单元格内边距 */
}

th {
    background-color: #f2f2f2;  /* 表头背景色 */
    color: #333;  /* 表头文本颜色 */
}

#invoiceDetails {
    font-family: Arial, sans-serif;
    background-color: #ffffff;
    border: 1px solid #ddd;
    padding: 20px;
    border-radius: 8px;
    max-width: 40%;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin: 0 auto;
    margin-bottom: 20px;
}

#invoiceDetails br {
    display: none;
}

@media screen and (max-width: 800px) {
    #invoiceDetails {
        font-family: Arial, sans-serif;
        background-color: #ffffff;
        border: 1px solid #ddd;
        padding: 20px;
        border-radius: 8px;
        max-width: 95%;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        margin: 0 auto;
        margin-bottom: 20px;
    }
}



.invoice-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.invoice-item span {
    display: inline-block;
}

.invoice-item .label {
    width: 100px;
    text-align: left;
    font-weight: bold;
    color: #333;
}

.invoice-item .value {
    text-align: right;
    width: 350px;
    color: #555;
}

@media screen and (max-width: 800px) {
    .invoice-item .value {
        text-align: right;
        width: 150px;
        color: #555;
    }
}

.container, .login-container, .home-container, .booking-container {
    text-align: center;
}

.smallLogo {
    display: flex;
    margin: 0 auto; /* 水平居中 */
    width: 40%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.car {
    display: flex;
    margin: 0 auto; /* 水平居中 */
    width: 60%;
}

.destination {
    display: flex;
    margin: 0 auto; /* 水平居中 */
    width: 10%;
}

@media screen and (max-width: 800px) {
    .destination {
        display: flex;
        margin: 0 auto; /* 水平居中 */
        width: 70%;
    }
}

.logo {
    width: 80%;
	margin: 0 auto;
	margin-top: 20px;
	margin-bottom: 20px;
}

.alert {
    margin-top: 20px;
    background: linear-gradient(45deg, #ffcccb, #ffb6c1, #ffa07a, #f08080);
    background-size: 400% 400%;
    animation: gradientAnimation 3s ease infinite;
    color: black; /* Black text */
    padding: 10px;
    border-left: 6px solid #333; /* Red left border */
    border-Right: 6px solid #333; /* Red left border */
    border-bottom: 6px solid #333; /* Red left border */
    font-weight: bold;
    width: 90%;
    margin: 0 auto; /* 水平居中 */
    margin-bottom: 25px;
}

@keyframes gradientAnimation {
    0% {background-position: 0% 50%;}
    50% {background-position: 100% 50%;}
    100% {background-position: 0% 50%;}
}

.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    margin: 20px auto;
    background-color: #663300;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    font-size: 28px;
    transition: background-color 0.3s ease;
	width: fit-content;
	border: none;
}

.btn:hover {
    background-color: #1a0d00;
}

.error-message {
    color: darkred;
    font-size: 14px;
    margin-top: 5px;
    display: block;
}

.form-btn {
	display: inline-flex; /* 使用 flexbox 佈局 */
    align-items: center; /* 垂直居中對齊 */
    justify-content: center;
    padding: 20px;
    background-color: #663300;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    font-size: 28px;
	margin-top: 15px;
	margin-bottom: 20px;
    transition: background-color 0.3s ease;
	width: fit-content;
}

.form-btn:hover {
    background-color: #1a0d00;
}

.logout-btn {
	display: inline-flex; /* 使用 flexbox 佈局 */
    align-items: center; /* 垂直居中對齊 */
    justify-content: center;
    padding: 10px 20px;
    background-color: #663300;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    font-size: 18px;
	margin-top: 15px;
    transition: background-color 0.3s ease;
	width: fit-content;
	margin-bottom: 20px;
}

.logout-btn:hover {
    background-color: #1a0d00;
}

.login-box {
    text-align: center;
    margin: 0 auto;
    width: 90%;
    color: #333;
    background: rgb(244, 244, 244);
    font-size: 20px;
}

.login-box h1 {
    margin-bottom: 40px;
    font-size: 2em;
}

.input-box {
    position: relative;
    margin-bottom: 30px;
    border: none;
}

.input-box input {
    width: 100%;
    margin-bottom: 30px;
    padding: 10px;
    background: rgb(244, 244, 244);
    border: none;
    border-bottom: 2px solid #333;
    font-size: 20px;
    color: #333;
    outline: none; /* 去除默认的聚焦外框 */
    transition: border-color 0.3s;
}

.input-box input:focus {
    border-bottom: 2px solid #663300;
}

.input-box label {
    position: absolute;
    top: 0px;
    left: 0;
    pointer-events: none;
    transition: all 0.5s;
    color: #333;
    font-weight: bold;
}

.input-box input:focus ~ label,
.input-box input.not-empty ~ label{
    top: -20px;
    left: 0;
    color: #663300;
    font-size: 0.75em;
    font-weight: bold;
}

.form-button-group {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.login-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    margin-right: 10px;
    background-color: #663300;
    cursor: pointer;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    font-size: 28px;  /* 确保字体大小一致 */
    font-weight: normal;  /* 确保字体粗细一致 */
    text-decoration: none;  /* 移除链接的下划线 */
    transition: background-color 0.3s ease;
    border: none;
    box-sizing: border-box;
}

a.login-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.login-btn:hover {
    background: #1a0d00;
}

.material-icons {
    margin-right: 10px;
    vertical-align: middle;  /* 确保图标与文本垂直对齐 */
    line-height: 1;  /* 确保图标的行高一致 */
}


.large-icon {
    font-size: 100px; /* 调整为你想要的大小 */
    color: rgb(244, 244, 244); /* 调整颜色 */
}

.logout-container{
    display: flex;
    width: 80%;
    margin: 0 auto;
}

.form-container {
    width: 50%; /* 設置容器寬度 */
    margin: 0 auto; /* 水平居中 */
}
/* Custom checkbox */
.form-group2 {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

.custom-checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-weight: bold;
}

@media screen and (max-width: 800px) {

    .checkbox-wrapper-12 {
        margin-top: 15px;
        position: relative;
    }

    .custom-checkbox {
        margin-top: 15px;
        display: flex;
        align-items: center;
        cursor: pointer;
        font-weight: bold;
    }
}



.custom-checkbox input[type="checkbox"] {
    appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid #333;
    border-radius: 4px;
    position: relative;
    cursor: pointer;
    transition: all 0.3s ease;
    margin-right: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.custom-checkbox input[type="checkbox"]:checked {
    background-color: #663300;
    border-color: #663300;
}

.custom-checkbox input[type="checkbox"]:checked::after {
    content: '';
    position: absolute;
    top: 40%;
    left: 50%;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: translate(-50%, -50%) rotate(45deg);
}

.custom-checkbox label {
    font-size: 1em;
    color: #333;
    font-weight: bold;
}

.form-group {
    margin-bottom: 20px; /* 設置表單元素之間的底部間距 */
}

.form-group label {
    display: flex;
    pointer-events: none;
    transition: 0.5s;
    color: #333;
    font-weight: bold;
}

.form-group input:focus ~ label,
.form-group input:valid ~ label {
    top: -20px;
    left: 0;
    color: #663300;
    font-size: 0.75em;
    font-weight: bold;
}

.form-button-group {
    display: flex;
    margin-top: 20px;
    margin-bottom: 20px;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.form-group input[type="text"] {
    height: 40px;
    padding: 8px 12px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: border-color 0.3s;
    width: 80%;
    margin: 0 auto; /* 水平居中 */
}

.form-group input[type="text"]:focus {
    border-color: #66afe9;
    outline: none;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1), 0 0 8px rgba(102, 175, 233, 0.6);
}

.form-group input[type="password"] {
    width: 100%;
    height: 40px;
    padding: 8px 12px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: border-color 0.3s;
    width: 50%;
    margin: 0 auto; /* 水平居中 */
}

.form-group input[type="password"]:focus {
    border-color: #66afe9;
    outline: none;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1), 0 0 8px rgba(102, 175, 233, 0.6);
}


label {
    display: block; /* 設置標籤為塊級元素，使其單獨占據一行 */
}

@media (min-width: 768px) {

    #fare {
        width: 35%;
        border-top: 4px solid #663300;
        border-bottom: 4px solid #663300;
        border-radius: 15px; /* 圆角边框 */
        background-color: #ad8b68;
        padding: 10px 35px;
        margin: 0 auto;
        font-size: 35px
        font-weight: bold;
    }

    #bookTimer {
        width: 35%;
        border-top: 4px solid #663300;
        border-left: 4px solid #663300;
        border-right: 4px solid #663300;
        border-bottom: 4px solid #663300;
        border-radius: 15px; /* 圆角边框 */
        background-color: #ad8b68;
        padding: 10px 35px;
        margin: 0 auto;
        font-size: 20px;
        font-weight: bold;
        margin-top: 20px;
        margin-bottom: 20px;
    }

    #timer {
        width: 35%;
        border-top: 4px solid #663300;
        border-left: 4px solid #663300;
        border-right: 4px solid #663300;
        border-radius: 15px 15px 0px 0px; /* 圆角边框 */
        background-color: #ad8b68;
        padding: 10px 35px;
        margin: 0 auto;
        font-size: 20px;
        font-weight: bold;
    }

    .responsive-image2 {
        width: 40%; /* 或设置为固定像素 */
        height: auto;
        aspect-ratio: auto 1 / 1; /* 保持原始比例 */
        border: 4px solid #663300; /* 绿色边框 */
        border-radius: 15px; /* 圆角边框 */
        margin-bottom: 0;
    }

    .responsive-image {
        width: 40%; /* 或设置为固定像素 */
        height: auto;
        aspect-ratio: auto 1 / 1; /* 保持原始比例 */
        border: 4px solid #663300; /* 绿色边框 */
        border-radius: 15px; /* 圆角边框 */
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 600px) {
    .table-container {
        width: 100%;
    }
    th, td {
        padding: 10px 5px;  /* 减少内边距，适应小屏幕 */
    }
}

/* 桌面樣式 */
@media (min-width: 700px) {
    .logo {
        width: 30%;
    }
    .car {
        width: 30%;
    }
    .smallLogo{
        width: 30%;
    }
}

.checkbox-wrapper-12 {
  position: relative;
}

.checkbox-wrapper-12 > svg {
  position: absolute;
  top: -130%;
  left: -170%;
  width: 110px;
  pointer-events: none;
}

.checkbox-wrapper-12 * {
  box-sizing: border-box;
}

.checkbox-wrapper-12 input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  -webkit-tap-highlight-color: transparent;
  cursor: pointer;
  margin: 0;
}

.checkbox-wrapper-12 input[type="checkbox"]:focus {
  outline: 0;
}

.checkbox-wrapper-12 .cbx {
  width: 24px;
  height: 24px;
  top: calc(100px - 12px);
  left: cal2c(100px - 12px);
}

.checkbox-wrapper-12 .cbx input {
  position: absolute;
  top: 0;
  left: 0;
  width: 24px;
  height: 24px;
  border: 2px solid #663300;
  border-radius: 50%;
}

.checkbox-wrapper-12 .cbx label {
  width: 24px;
  height: 24px;
  background: none;
  border-radius: 50%;
  position: absolute;
  top: 0;
  left: 0;
  transform: trasnlate3d(0, 0, 0);
  pointer-events: none;
}

.checkbox-wrapper-12 .cbx svg {
  position: absolute;
  top: 5px;
  left: 4px;
  z-index: 1;
  pointer-events: none;
}

.checkbox-wrapper-12 .cbx svg path {
  stroke: #fff;
  stroke-width: 3;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-dasharray: 19;
  stroke-dashoffset: 19;
  transition: stroke-dashoffset 0.3s ease;
  transition-delay: 0.2s;
}

.checkbox-wrapper-12 .cbx input:checked + label {
  animation: splash-12 0.6s ease forwards;
}

.checkbox-wrapper-12 .cbx input:checked + label + svg path {
  stroke-dashoffset: 0;
}

@-moz-keyframes splash-12 {
  40% {
    background: #663300;
    box-shadow: 0 -18px 0 -8px #663300, 16px -8px 0 -8px #663300, 16px 8px 0 -8px #663300, 0 18px 0 -8px #663300, -16px 8px 0 -8px #663300, -16px -8px 0 -8px #663300;
  }

  100% {
    background: #663300;
    box-shadow: 0 -36px 0 -10px transparent, 32px -16px 0 -10px transparent, 32px 16px 0 -10px transparent, 0 36px 0 -10px transparent, -32px 16px 0 -10px transparent, -32px -16px 0 -10px transparent;
  }
}

@-webkit-keyframes splash-12 {
  40% {
    background: #663300;
    box-shadow: 0 -18px 0 -8px #663300, 16px -8px 0 -8px #663300, 16px 8px 0 -8px #663300, 0 18px 0 -8px #663300, -16px 8px 0 -8px #663300, -16px -8px 0 -8px #663300;
  }

  100% {
    background: #663300;
    box-shadow: 0 -36px 0 -10px transparent, 32px -16px 0 -10px transparent, 32px 16px 0 -10px transparent, 0 36px 0 -10px transparent, -32px 16px 0 -10px transparent, -32px -16px 0 -10px transparent;
  }
}

@-o-keyframes splash-12 {
  40% {
    background: #663300;
    box-shadow: 0 -18px 0 -8px #663300, 16px -8px 0 -8px #663300, 16px 8px 0 -8px #663300, 0 18px 0 -8px #663300, -16px 8px 0 -8px #663300, -16px -8px 0 -8px #663300;
  }

  100% {
    background: #663300;
    box-shadow: 0 -36px 0 -10px transparent, 32px -16px 0 -10px transparent, 32px 16px 0 -10px transparent, 0 36px 0 -10px transparent, -32px 16px 0 -10px transparent, -32px -16px 0 -10px transparent;
  }
}

@keyframes splash-12 {
  40% {
    background: #663300;
    box-shadow: 0 -18px 0 -8px #663300, 16px -8px 0 -8px #663300, 16px 8px 0 -8px #663300, 0 18px 0 -8px #663300, -16px 8px 0 -8px #663300, -16px -8px 0 -8px #663300;
  }

  100% {
    background: #663300;
    box-shadow: 0 -36px 0 -10px transparent, 32px -16px 0 -10px transparent, 32px 16px 0 -10px transparent, 0 36px 0 -10px transparent, -32px 16px 0 -10px transparent, -32px -16px 0 -10px transparent;
  }
}

/* 自定義選單樣式 */
.custom-select-wrapper {
  position: relative;
  display: inline-block;
  width: 100%;
  max-width: 300px;
}

/* 假的下拉框樣式 */
.custom-select-display {
  width: 100%;
  padding: 10px 15px;
  font-size: 16px;
  color: #333;
  border: 2px solid #7a5230;
  border-radius: 5px;
  cursor: pointer;
  background-color: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

/* 箭頭樣式 */
.custom-arrow {
  width: 0;
  height: 0;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-top: 6px solid #7a5230;
  transition: transform 0.3s ease;
}

/* 當選單展開時旋轉箭頭 */
.custom-select-wrapper.open .custom-arrow {
  transform: rotate(180deg);
}

/* 下拉選單項目容器 */
.custom-options {
  position: absolute;
  width: 100%; /* 確保選單與 display 部分寬度一致 */
  top: 60%; /* 顯示在 display 部分下方 */
  left: 0;
  background-color: #fff;
  border: 2px solid #7a5230;
  max-height: 0;
  border-radius: 5px;
  box-sizing: border-box;
  z-index: 10;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

/* 當選單展開時顯示選項 */
.custom-select-wrapper.open .custom-options {
  max-height: 200px; /* 限制最大高度，讓選單有滑動效果 */
}

/* 選項樣式 */
.custom-option {
  padding: 10px 15px;
  cursor: pointer;
  font-size: 16px;
  border-bottom: 1px solid #ddd;
}

/* 最後一個選項不需要底線 */
.custom-option:last-child {
  border-bottom: none;
}

/* 當滑鼠懸停時變色 */
.custom-option:hover {
  background-color: #f0f0f0;
}

#device-container {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}
.device {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    transition: color 0.3s;
}
.device.active .device-icon {
    color: #28a745; /* 綠色 */
    margin: 0 auto;
    margin-top: -25px;
}
.device.inactive .device-icon {
    color: #dc3545; /* 紅色 */
    margin: 0 auto;
    margin-top: -25px;
}
.device-icon {
    font-size: 80px !important; /* 更小的圖標 */
    margin-bottom: 5px;
}
.device-name {
    position: absolute;
    font-size: 20px; /* 更小的字體 */
    font-weight: bold;
    color: #333;
}